#
# spec file for package xzgv (Version 0.7)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib-devel gpp gtk gtk-devel imlib imlib-devel libjpeg libpng-devel-packages libtiff te_latex tetex texinfo update-desktop-files xf86
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext glib-devel gnome-filesystem gtk gtk-devel imlib imlib-devel libjpeg libpng libpng-devel libtiff libtool perl rpm te_ams te_latex tetex update-desktop-files

Name:         xzgv
URL:          http://xzgv.browser.org/
Version:      0.7
Release:      591
Group:        Productivity/Graphics/Viewers
License:      GPL
Summary:      A fast picture viewer for X
Source:       xzgv-0.7.tar.gz
Source1:      %name.desktop
Patch:        xzgv.diff
Patch1:       xzgv-mmx.diff
Patch2:       xzgv-0.7-multiline.patch
Patch3:       xzgv-secfix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
xzgv is a picture viewer for X, with a thumbnail-based file selector.
It uses GTK+ and Imlib. Most file formats are supported, and the
thumbnails used are compatible with xv, zgv, and the Gimp. It can also
be used with `xzgv file(s)', to effectively bypass the file selector.
For more on how xzgv works and how to use it, do `info xzgv' or `man
xzgv' once it's installed.



Authors:
--------
    Russel Marks <russell.marks@ntlworld.com>

%prep
%setup -q -n xzgv-0.7
%patch
%ifarch %ix86
%patch1
%endif
%patch2
%patch3

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install
%suse_update_desktop_file -i %name Graphics Viewer

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO
/usr/bin/xzgv
/usr/share/applications/xzgv.desktop
%doc %{_mandir}/man1/xzgv.1.gz
%doc %{_infodir}/xzgv.gz
%doc %{_infodir}/xzgv-1.gz
%doc %{_infodir}/xzgv-2.gz
%doc %{_infodir}/xzgv-3.gz

%changelog -n xzgv
* Tue Nov 09 2004 - jreuter@suse.de
- fix integer multiplication overflows (#47677)
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Thu May 15 2003 - coolo@suse.de
- use BuildRoot
* Wed Dec 04 2002 - ro@suse.de
- fix multiline string problem for gcc-3.3
* Tue Aug 20 2002 - ro@suse.de
- removed %%post
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Nov 02 2001 - jreuter@suse.de
- upgraded to most recent version, works correctly on non-Intel
  platforms now
* Tue Nov 07 2000 - jreuter@suse.de
- Initial checkin
